<h5
class="eui-u-f-{{hasLargeSizeFontsTitle ? 'l' :'m'}}-bold">{{ 'app.features.sr.assetsList.distributionsTable.title' | translate }}</h5>
<div class="eui-table__scrollable-wrapper">
  <table
    euiTable
    [euiTableResponsive]="true"
    [isHoverable]="true"
    [rows]="distributionsData">
    <ng-template euiTemplate="header">
      <tr>
        <th sortable
          [sortDisabled]="!hasSorting"
          sortOn="title">{{ 'app.features.sr.assetsList.distributionsTable.columns.distributionTitle' | translate }}
        </th>
        <th sortable
          [sortDisabled]="!hasSorting"
          sortOn="mediaType">{{ 'app.features.sr.assetsList.distributionsTable.columns.mediaType' | translate }}
        </th>
        <th></th>
      </tr>
    </ng-template>
    <ng-template let-row euiTemplate="body">
      <tr>
        <td data-col-label="title">
          @if (row?.accessUrl) {
            <a [href]="row?.accessUrl" target="_blank">{{ row.title }}</a>
          } @else {
            <span class="eui-u-cursor-default">{{ row.title }}</span>
          }
        </td>
        <td data-col-label="mediaType"> {{ row.mediaType }}</td>
        <td
          class="eui-u-text-right"
          [euiTooltip]="!row?.distributionResourceId ? ( 'app.features.sr.assetsList.distributionsTable.disabledButtonTooltip' | translate) :null">
          <button
            class="eui-u-ml-s"
            euiButton
            euiBranding
            [euiOutline]="true"
            [euiDisabled]="!row?.distributionResourceId"
            (click)="onDistributionDownloadButtonClicked(row?.distributionResourceId)">
            <eui-icon-svg
              class="eui-u-mr-2xs"
              icon="download"
              set="outline"
              size="s"
              fillColor="grey-100">
            </eui-icon-svg>
            {{ 'app.features.sr.assetsList.distributionsTable.downloadButton' | translate }}
          </button>
        </td>
      </tr>
    </ng-template>
    <ng-template euiTemplate="emptyMessage">
      <tr>
        <td class="eui-u-p-none" colspan="4">
          <span class="eui-u-flex eui-u-flex-column eui-u-p-m eui-u-bg-color-grey-5 eui-u-text-center eui-u-p-2xl">
            <eui-icon-svg icon="folder-open" size="l" set="outline" fillColor="grey-100"></eui-icon-svg>
            <span
            class="eui-u-pt-m">{{ 'app.features.asset.details.distributionsTable.emptyState' | translate }}</span>
          </span>
        </td>
      </tr>
    </ng-template>
  </table>
</div>
